Subject: bug#2583: DEL stops at field boundaries; M-DEL doesn't

From: Iain Dalton <[email-masked]>
Date: Thu, 5 Mar 2009 12:30:51 -0700

When in a mode with a prompt (eshell, rcirc, SLIME for me), M-DEL will
delete up to beginning-of-line, passing over the prompt even though it
can't delete it.  Wiser people than I have said this has to do with
the field property.